Bug 1352174 - RFE: use "LV type: mirror" in error if mirrors activated with -asy are not to work w/ lvmlockd
Summary: RFE: use "LV type: mirror" in error if mirrors activated with -asy are not to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: David Teigland
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-01 23:22 UTC by Corey Marthaler
Modified: 2016-11-04 04:21 UTC (History)
6 users (show)

Fixed In Version: lvm2-2.02.161-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 04:21:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Corey Marthaler 2016-07-01 23:22:24 UTC
Description of problem:
Or if they are planned to work with with -asy + lvmlockd, then this needs fixing.

[root@mckinley-01 ~]# lvs -a -o +devices                                                                                                                                                                                                            
  LV        VG               Attr       LSize   Pool Origin Data%  Meta%  Move Log Cpy%Sync Convert Devices                                                                                                                                                      
  [lvmlock] global           -wi-ao---- 256.00m                                                     /dev/mapper/mpatha2(0)                                                                                                                                       
  [lvmlock] helter_skelter   -wi-ao---- 256.00m                                                     /dev/mapper/mpatha1(0)                                                                                                                                              

# shared attempt
[root@mckinley-01 ~]# lvcreate -ays --type mirror --mirrorlog core -m 3 -n syncd_primary_core_4legs_1 -L 500M helter_skelter /dev/mapper/mpathd2:0-2400 /dev/mapper/mpathc1:0-2400 /dev/mapper/mpathb1:0-2400 /dev/mapper/mpathb2:0-2400
  Shared activation not compatible with LV type: helter_skelter/syncd_primary_core_4legs_1
  Failed to lock logical volume helter_skelter/syncd_primary_core_4legs_1
  Failed to activate new LV.

# shared attempt
[root@mckinley-01 ~]# lvcreate -ays --type mirror -m 2 -n mirror -L 500M helter_skelter                                                                            
  Shared activation not compatible with LV type: helter_skelter/mirror
  Failed to lock logical volume helter_skelter/mirror
  Failed to activate new LV.


# exclusive
[root@mckinley-01 ~]# lvcreate -aye --type mirror --mirrorlog core -m 3 -n syncd_primary_core_4legs_1 -L 500M helter_skelter /dev/mapper/mpathd2:0-2400 /dev/mapper/mpathc1:0-2400 /dev/mapper/mpathb1:0-2400 /dev/mapper/mpathb2:0-2400
  Logical volume "syncd_primary_core_4legs_1" created.
[root@mckinley-01 ~]# lvs -a -o +devices
  LV                                    VG             Attr       LSize   Log Cpy%Sync Devices
  [lvmlock]                             global         -wi-ao---- 256.00m              /dev/mapper/mpatha2(0)
  [lvmlock]                             helter_skelter -wi-ao---- 256.00m              /dev/mapper/mpatha1(0)
  syncd_primary_core_4legs_1            helter_skelter mwi-a-m--- 500.00m     74.40    syncd_primary_core_4legs_1_mimage_0(0),syncd_primary_core_4legs_1_mimage_1(0),syncd_primary_core_4legs_1_mimage_2(0),syncd_primary_core_4legs_1_mimage_3(0)
  [syncd_primary_core_4legs_1_mimage_0] helter_skelter Iwi-aom--- 500.00m              /dev/mapper/mpathd2(0)
  [syncd_primary_core_4legs_1_mimage_1] helter_skelter Iwi-aom--- 500.00m              /dev/mapper/mpathc1(0)
  [syncd_primary_core_4legs_1_mimage_2] helter_skelter Iwi-aom--- 500.00m              /dev/mapper/mpathb1(0)
  [syncd_primary_core_4legs_1_mimage_3] helter_skelter Iwi-aom--- 500.00m              /dev/mapper/mpathb2(0)


Version-Release number of selected component (if applicable):
3.10.0-418.el7.x86_64

lvm2-2.02.156-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016
lvm2-libs-2.02.156-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016
lvm2-cluster-2.02.156-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016
device-mapper-1.02.126-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016
device-mapper-libs-1.02.126-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016
device-mapper-event-1.02.126-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016
device-mapper-event-libs-1.02.126-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016
device-mapper-persistent-data-0.6.2-0.1.rc8.el7    BUILT: Wed May  4 02:56:34 CDT 2016
cmirror-2.02.156-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016
sanlock-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
sanlock-lib-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
lvm2-lockd-2.02.156-1.el7    BUILT: Mon Jun 13 03:05:51 CDT 2016

Comment 4 Corey Marthaler 2016-08-01 19:51:24 UTC
Fixed verified in the latest rpms.


[root@harding-02 ~]# lvcreate -ays --type mirror -m 1 -n syncd_primary_2legs_1 -L 500M helter_skelter /dev/mapper/mpatha2:0-2400 /dev/mapper/mpathf2:0-2400 /dev/mapper/mpathb1:0-150
  Shared activation not compatible with LV type mirror of helter_skelter/syncd_primary_2legs_1
  Failed to lock logical volume helter_skelter/syncd_primary_2legs_1.
  Failed to activate new LV.



3.10.0-480.el7.x86_64
lvm2-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
lvm2-libs-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
lvm2-cluster-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-1.02.131-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-libs-1.02.131-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-event-1.02.131-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-event-libs-1.02.131-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
device-mapper-persistent-data-0.6.3-1.el7    BUILT: Fri Jul 22 05:29:13 CDT 2016
cmirror-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016
sanlock-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
sanlock-lib-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
lvm2-lockd-2.02.161-3.el7    BUILT: Thu Jul 28 09:31:24 CDT 2016

Comment 6 errata-xmlrpc 2016-11-04 04:21:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.